> ## Documentation Index
> Fetch the complete documentation index at: https://docs.arrays.org/llms.txt
> Use this file to discover all available pages before exploring further.

# Get non-US stock company profile

> [OpenAPI JSON Spec](/docs/output/v1_stocks_non-us_company_detail_get.json)



## OpenAPI

````yaml /api-reference/openapi.json get /v1/stocks/non-us/company/detail
openapi: 3.0.0
info:
  contact: {}
  description: >-
    Welcome to Arrays!


    Arrays is a unified financial data layer for both financial institutions and
    retail users, delivering comprehensive market data across crypto and equity
    markets. Our datasets cover fundamentals, ETFs, options, crypto, and more.


    Visit [arrays.org](https://arrays.org) to request an API key and start your
    free trial. You can explore our full API offerings in the documentation
    below.


    For any questions regarding APIs or pricing, please contact
    support@arrays.org.
  title: Arrays API
  version: '1.0'
servers:
  - url: https://data-tools.prd.arrays.org/api
security: []
paths:
  /v1/stocks/non-us/company/detail:
    get:
      tags:
        - Stock
      summary: Get non-US stock company profile
      description: >-
        [OpenAPI JSON
        Spec](/docs/output/v1_stocks_non-us_company_detail_get.json)
      parameters:
        - description: Non-US ticker symbol (e.g. 0700.HK, 9888.HK)
          in: query
          name: symbol
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/model.APIResponse'
                  - properties:
                      data:
                        items:
                          $ref: '#/components/schemas/model.NonUSCompanyDetail'
                        type: array
                    type: object
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/model.APIResponse'
components:
  schemas:
    model.APIResponse:
      properties:
        data: {}
        error:
          $ref: '#/components/schemas/model.APIError'
        metadata: {}
        pagination: {}
        request_id:
          type: string
        success:
          type: boolean
      type: object
    model.NonUSCompanyDetail:
      properties:
        address:
          type: string
        ceo:
          type: string
        cik:
          type: string
        city:
          type: string
        company_name:
          type: string
        country:
          type: string
        currency:
          type: string
        cusip:
          type: string
        description:
          type: string
        exchange:
          type: string
        exchange_full_name:
          type: string
        full_time_employees:
          type: integer
        image:
          type: string
        industry:
          type: string
        ipo_date:
          type: string
        isin:
          type: string
        phone:
          type: string
        sector:
          type: string
        state:
          type: string
        symbol:
          type: string
        website:
          type: string
        zip:
          type: string
      type: object
    model.APIError:
      properties:
        code:
          example: RESOURCE_NOT_FOUND
          type: string
        details:
          items:
            $ref: '#/components/schemas/model.APIErrorDetail'
          type: array
        docs_url:
          type: string
        examples:
          items:
            type: string
          type: array
        hint:
          type: string
        message:
          example: The requested resource was not found.
          type: string
        suggestions:
          items:
            type: string
          type: array
      type: object
    model.APIErrorDetail:
      properties:
        field:
          type: string
        got:
          type: string
        reason:
          type: string
      type: object

````